/* bmp.h
 * Fonctions permettant la lecture d'images BMP
 *
 * Auteur: VOURIOT Thierry
 * Web: http://thierry.vouriot.free.fr
 * Email: thierry.vouriot@free.fr
 * Date: 21 aot 2002
 */
 
#ifndef _BMP_H
#define _BMP_H

#ifdef _WIN32
#include <windows.h>
#endif

#include <GL/gl.h>
#include <stdio.h>
#include <stdlib.h>

/* Structure permettant de stocker une image BMP */
typedef struct {
	GLenum texFormat;	// GL_RGB, GL_RGBA ou GL_LUMINANCE
	short int imageWidth;
	short int imageHeight;
	unsigned char bitCount;
	unsigned char *imageData;
} BMPFILE;

/* Codes erreurs de retour des fonctions */
#define BMP_FILE_NOT_FOUND 13
#define BMP_BAD_IMAGE_TYPE 14
#define BMP_BAD_BITS 16
#define BMP_BAD_DATA 17

/* Fonction lisant un fichier BMP 24 ou 8 bits et remplissant la structure
 * BMPFILE passe en paramtre
 */
int LoadBMPFile(char *filename, BMPFILE *bmpFile);

#endif 
